import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:umeng_crash/umeng_crash.dart';

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';
  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    String platformVersion;
    // Platform messages may fail, so we use a try/catch PlatformException.
    // We also handle the message potentially returning null.
    try {
      platformVersion =
          await UmengCrash.platformVersion ?? 'Unknown platform version';
    } on PlatformException {
      platformVersion = 'Failed to get platform version.';
    }

    if (!mounted) return;

    setState(() {
      _platformVersion = platformVersion;
    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body:Column(children: [
          TextButton(child:Text('onKillProcess'),onPressed:(){
            UmengCrash.onKillProcess();
          },),
          TextButton(child:Text('AssertionError'),onPressed:(){
            throw AssertionError();
          },),
          TextButton(child:Text('FormatException'),onPressed:(){
            throw FormatException("message");
          },)
        ],),
      ),
    );
  }
}
